## ncsa.hdf.hdflib
Class HDFTable

    java.lang.Object
      ncsa.hdf.hdflib.HDFTable

    public class HDFTable

extends java.lang.Object

Constructor Summary
`HDFTable()`

Method Summary
`byte[]` `byteify()`
`int` `size()`
`void` `structify(byte[] theBytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDFTable

    public HDFTable()
             throws java.lang.IllegalAccessException,
                    HDFException

Throws:
  `java.lang.IllegalAccessException`
  `HDFException`

Method Detail

### size

    public int size()
             throws HDFException,
                    java.lang.IllegalAccessException

  Throws:
    `HDFException`
    `java.lang.IllegalAccessException`

### byteify

    public byte[] byteify()
                   throws java.lang.IllegalAccessException,
                          HDFException

  Throws:
    `java.lang.IllegalAccessException`
    `HDFException`

### structify

    public void structify(byte[] theBytes)
                   throws HDFException,
                          java.lang.IllegalAccessException

  Throws:
    `HDFException`
    `java.lang.IllegalAccessException`